## BaseAmisModel

### Inherited base class

- #### [Pydantic BaseModel](https://pydantic-docs.helpmanual.io/usage/models/)

### Methods:

#### amis_json

- Returns model `json` data, using field aliases and excluding `None`.

#### amis_dict

- Returns model `dict` data, using field aliases and excluding `None`.

#### update_from_dict

- Update model data from `dict`.

#### update_from_kwargs

- Update the model data with a list of `kwargs` parameters.

## AmisNode

Reference: [SchemaNode](https://baidu.gitee.io/amis/zh-CN/docs/types/schemanode)

## AmisAPI

Reference: [API](https://baidu.gitee.io/amis/zh-CN/docs/types/api)

## Page

Reference: [Page Page](https://baidu.gitee.io/amis/zh-CN/components/page)

## App

Reference: [App multi-page application](https://baidu.gitee.io/amis/zh-CN/components/app)

## PageSchema

Reference: [App multi-page application](https://baidu.gitee.io/amis/zh-CN/components/app)

## Action

Reference: [Action Behavior Button](https://baidu.gitee.io/amis/zh-CN/components/action)

## Form

Reference: [Form Form](https://baidu.gitee.io/amis/zh-CN/components/form/index)

## FormItem

Reference: [FormItem General form item](https://baidu.gitee.io/amis/zh-CN/components/form/formitem)

## TableCRUD

Reference: [CRUD Add Delete Check](https://baidu.gitee.io/amis/zh-CN/components/crud)
, [Table Table](https://baidu.gitee.io/amis/zh-CN/components/table?page=1)

## TableColumn

Reference: [Table Form](https://baidu.gitee.io/amis/zh-CN/components/table?page=1)

## components

Reference: [Component Introduction](https://baidu.gitee.io/amis/zh-CN/components/index)

## more

Reference: [Amis official documentation](https://baidu.gitee.io/amis/zh-CN/docs/index)
